import QtQuick 1.1
import "../../common/fonts" as Fonts

Column
{
    id: boolRadioGroup

    // public settable
    property variant target
    property string property
    property variant fontStyles: Fonts.Common{}
    property bool trueFirst
    property int horizontalMargin: 2
    property string trueDescription
    property string falseDescription
    property variant textfont: fontStyles.standardCommonTextFont
    property string textcolor: "black"
    spacing: 5

    function getRadio(number)
    {
        switch (number) {
            case 1:
                return firstButton;
            case 2:
                return secondButton;
            default:
                return null;

        }
    }

    objectName: "BoolRadioGroup"

    RadioButton
    {
        id: firstButton
        anchors.left: parent.left

        objectName: "FirstVariant"
        target: boolRadioGroup.target
        property: boolRadioGroup.property
        text: boolRadioGroup.trueFirst ? boolRadioGroup.trueDescription : boolRadioGroup.falseDescription
        textfont: boolRadioGroup.textfont
        textcolor: boolRadioGroup.textcolor
        horizontalMargin: boolRadioGroup.horizontalMargin
        group: undefined
        maxWidth: 10000000
        CheckBoxValueBinder
        {
            id: firstBinder
            target: boolRadioGroup.target
            property: boolRadioGroup.property
            value: boolRadioGroup.trueFirst
        }
    }

    RadioButton
    {
        id: secondButton
        anchors.left: parent.left

        objectName: "SecondVariant"
        target: boolRadioGroup.target
        property: boolRadioGroup.property
        text: boolRadioGroup.trueFirst ? boolRadioGroup.falseDescription : boolRadioGroup.trueDescription
        textfont: boolRadioGroup.textfont
        textcolor: boolRadioGroup.textcolor
        horizontalMargin: boolRadioGroup.horizontalMargin
        group: undefined
        maxWidth: 10000000
        CheckBoxValueBinder
        {
            id: secondBinder
            target: boolRadioGroup.target
            property: boolRadioGroup.property
            value: !boolRadioGroup.trueFirst
        }
    }
}
