import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/fonts" as Fonts
import "../common/EnumHelper.js" as EnumHelper
import "../common/ProductTypeHelper.js" as ProductTypeHelper
import "../common/widgets" as Widgets

Widgets.RebootMessageBox
{
    id: protectedInputRebootMessageBox

    Localizer { id: tr; scope: "ProtectedInputSettings" }
    property variant context: RebootMessageBoxViewModel
	function isKis() { return EnumHelper.getKey(Global, "productType") == "KasperskyInternetSecurity"; }

    iconSource: "../images/ico_warning_48.png"
    caption: tr.Localize(isKis() ? "RebootCaptionKIS" : "RebootCaptionKAV")
    description: tr.Localize(isKis() ? "RebootNotificationKIS" : "RebootNotificationKAV");
    additionalDescription: tr.Localize("RebootNotificationAdditional");
    cancelButtonText: tr.Localize("Cancel")
    rebootButtonText: tr.Localize("Reboot")

    onCancelClicked:
    {
        Window.Close()
    }

    onRebootClicked:
    {
        context.Invoke()
        Window.Close()
    }
}
