import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../common/widgets" as Widgets
import "../../common/fonts" as Fonts
import ".." as SettingsCommon
import "../SettingsMargins.js" as Margins
import "../SettingsHelper.js" as SettingsHelper
import "../../common/HelpMapper.js" as HelpMapper

Item
{
    id: settingsPage
    objectName: "BatterySavingSettingsPage"

    property int helpId: HelpMapper.BatterySavingSettingsHelpId

    property variant context: SettingsHelper.GetPageContext(Settings, "BatterySaving")
    property variant fontStyles: Fonts.Common{}
    Localizer { id: tr; scope: "BatterySavingSettings" }

    Column
    {
        objectName: "MainWrapper"
        width: parent.width
        spacing: Margins.settingsPageSpacing

        SettingsCommon.SettingsSection
        {
            objectName: "BatterySavingGeneralSection"

            body: Column
            {
                objectName: "BatterySavingGeneral"
                spacing: Margins.settingsMainSectionSpacing

                Column
                {
                    objectName: "BatterySavingTextWrapper"
                    spacing: Margins.settingsAfterTextSpacing
                    width: parent.width

                    SettingsCommon.SettingsStandardText
                    {
                        width: parent.width
                        anchors.left: parent.left
                        text: tr.Localize("DescriptionFirst")
                        wrapMode: Text.Wrap
                    }

                    SettingsCommon.SettingsStandardText
                    {
                        width: parent.width
                        anchors.left: parent.left
                        text: tr.Localize("DescriptionSecond")
                        wrapMode: Text.Wrap
                    }
                }

                SettingsCommon.CheckBox
                {
                    id: batterySaving
                    objectName: "batterySaving"
                    anchors.left: parent.left

                    text: tr.Localize("SetBatterySaving");
                    isBold: true

                    target: context
                    property: "saveBattery"
                }
            }
        }
    }
}
