import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/border" as Border
import "../common/fonts" as Fonts

Item
{
    id: supportReportFilesList

    signal sendReport;
    signal main;

    property variant contextSupport: SupportWindow
    property variant context: contextSupport.sendReport

    onVisibleChanged:
    {
        if (visible)
            context.RefreshFiles()
    }

    SupportPanel
    {
        id: supportReportFilesListPanel

        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top

        objectName: "SupportReportFilesListPanel"
        canHome: true;
        caption: tr.Localize("GatheredDataTitle")
        onHome:
        {
            supportReportFilesList.main()
        }
        onBack:
        {
            supportReportFilesList.sendReport()
        }
    }

    SupportFileList
    {
        id: fileList
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: supportReportFilesListPanel.bottom
        anchors.bottom: parent.bottom

        objectName: "SupportFilesList"

        model: context.fileList

        Widgets.DPIScaler {changeHeight: true}
    }
}
