import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/DateTime.js" as DateTime

Row
{
	Localizer { id:tr; scope:"ScanTask" }
	objectName: "durationElement"
	spacing: 4
	anchors.left: parent ? parent.left : undefined
	Text
	{
		text: taskModel.IsCompleted ? tr.Localize("TaskManager_CaptionComplete") : tr.Localize("TaskManager_CaptionStopped");
		font: commonFontStyles.standardCommonTextFont
		horizontalAlignment: Text.AlignLeft
	}
	Widgets.Hyperlink
	{
		objectName: "durationSinceLastStop"
		id: durationSinceLastStopHyperlink
		setFocusOnPressed: true
		focus: true
		tabOrder: 0
		text: tr.Localize("DurationSinceLastStopText", {"DurationSinceLastStop" : DateTime.localizeTimeIntervalFromDateFullFormat(taskModel.DurationSinceLastStop, tr)})
		onClicked: taskModel.ShowScanObjectReport();
	}
	function setFocus(value)
	{
		durationSinceLastStopHyperlink.focus = value
	}
}
