import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/Margins.js" as Margins

Item
{
	anchors.fill: parent
	Localizer { id:tr; scope:"ParentalControl" }
	property variant context: MainWindow.GetSubViewModel("ParentalControl")
	property variant commonFontStyles: Fonts.Common{}
	
	id: applyExistPassword
	objectName: "applyExistPassword"
	
	
	Text
	{
		id: question
        y: 150
		anchors.horizontalCenter: parent.horizontalCenter
        width:  parent.width - 300
		text: tr.Localize("WannaUseExistPassword")
		font: commonFontStyles.standardSmallCaptionFont
		horizontalAlignment: Text.AlignHCenter
		wrapMode: Text.Wrap
	}
	
	Widgets.GreenButton
	{
		id: applyButton
		objectName: "applyButton"
		anchors.top: question.bottom
        anchors.topMargin: 18
		anchors.right: parent.horizontalCenter
        anchors.rightMargin: Margins.horizontalBetweenButtons / 2
		width: 100
		text: tr.Localize("Yes")
		textBottom: true
		onClicked:
		{			
			context.PasswordSet.SetAskPasswordParentalControlAction.Invoke()
			context.PasswordSet.IsPasswordSkiped = true
		}
	}
	
	Widgets.GrayButton
	{
		id: noButton
		objectName: "noButton"
		anchors.top: applyButton.top
		anchors.left: parent.horizontalCenter
        anchors.leftMargin: Margins.horizontalBetweenButtons / 2
		width: 100
		text: tr.Localize("No")
		textBottom: true
		onClicked:
		{
			context.PasswordSet.IsPasswordSkiped = true
		}
	}
}
