import QtQuick 1.1

BorderImage
{
	property variant target: parent
    z: 1000000
    horizontalTileMode: BorderImage.Repeat
    verticalTileMode: BorderImage.Repeat
    visible: target ? (target.activeFocus && enabled && Window.ShouldShowFocusRect()) : false

    property bool tileVertically: false
    property bool tileHorizontally: false
    property int verticalStep: sourceSize.height - (border.top + border.bottom)
    property int horizontalStep: sourceSize.width - (border.left + border.right)
    property int widthClipperSize: 0
    property int heightClipperSize: 0
    property int possibleHeight: parent.height - (anchors.topMargin + anchors.bottomMargin) - heightClipperSize
    property int possibleWidth: parent.width - (anchors.leftMargin + anchors.rightMargin) - widthClipperSize
    width: tileHorizontally ? possibleWidth - ((possibleWidth - (border.left + border.right)) % horizontalStep) : sourceSize.width
    height: tileVertically ? possibleHeight - ((possibleHeight - (border.top + border.bottom)) % verticalStep) : sourceSize.height
}
