import QtQuick 1.1
import QtWidgetProxies 1.0
import "../fonts" as Fonts
import "../EnumHelper.js" as EnumHelper
import "." as Widgets
import "../border" as Border
import "../Colors.js" as Colors
import "../DateTime.js" as DateTime

Border.BorderedContent
{
	objectName: "IpmDebugWindow"
    content: page
    
    function showPage(page)	{}

    Widgets.SecondaryWindow
    {
        objectName: "IpmDebugWindowContent"
        id:page
        width: 600
		height: 600
		caption: "IpmDebugWindow";

        workArea : Item
        {
			objectName: "workArea"
			id: workingArea

			Widgets.EmptyListText
			{
				id: noInfoText
				visible: !infoListView.visible				
				text: "No IPM information";
			}
			ListView
			{
				id:infoListView
				objectName: "infoListView"
				anchors.fill:	parent
				property variant checker: ViewModel.notifier.IsEnabled;
				onCheckerChanged: infoListView.model = ViewModel.info;
				model: ViewModel.info
				delegate: Text
				{
					function extractText()
					{
						var out = model.modelData.value;
						if(out.indexOf('param-resolver-error:') != -1)
							out = out.replace("param-resolver-error:", "<img width=\"12\" height=\"12\" src=\"../images/main_window/risk.png\" /> parameter isn\'t available now, error: ");
						return out;
					}
					anchors.left: parent.left;
					anchors.right: parent.right;
					anchors.leftMargin: model.modelData.level ? model.modelData.level * 5 : 0;
					text: extractText();
					wrapMode: Text.Wrap
					color: model.modelData.color ? model.modelData.color : "black";
				}
				focus:			true
				visible: count > 0
				property int tabOrder: 1
				interactive: scrollbar.visible
				Widgets.FlickableScrollBar
				{
					id:scrollbar
					target: infoListView
					height: infoListView.height - 10
					anchors
					{
						verticalCenter: infoListView.verticalCenter
						right: infoListView.right
						rightMargin: 5
					}
					visible: infoListView.contentHeight > infoListView.height
				}
			}

        }
        buttonsArea : Item
        {
			objectName: "buttonsArea"
            Row
            {
                spacing: 10
                height: parent.height
                anchors.right: parent.right;
                objectName: "row"

                Widgets.GrayButton
                {
                    objectName: "IpmDebugWindow_CloseButton"
                    setAsDefaultButton: true
                    text: "Close";
                    onClicked: { Window.Close() }
                    anchors.verticalCenter: parent.verticalCenter
                    verticalMargin: 10
                    horizontalMargin: 20
                }
            }
        }
    }
}
