import QtQuick 1.1
import QtWebKit 1.0

WebView
{
	objectName: "ipmWebView"
	settings.autoLoadImages: true
	settings.javascriptEnabled: true
	settings.linksIncludedInFocusChain: true
	settings.javascriptCanAccessClipboard: true
	settings.javascriptCanOpenWindows: false
	settings.localContentCanAccessRemoteUrls: true
	settings.pluginsEnabled: true

	property variant interop
    property variant productServices

	onLoadFailed: { console.log("ipmWebView: onLoadFailed, url = '" + url + "'"); }
	onLoadFinished: { console.log("ipmWebView: onLoadFinished, url = '" + url + "'"); }
	onLoadStarted: { console.log("ipmWebView: onLoadStarted, url = '" + url + "'"); }
	onAlert : { console.log("ipmWebView: onAlert, message = " + message); }

	javaScriptWindowObjects: QtObject
	{
		WebView.windowObjectName: "IpmCommandHandler"

		function closeWindow()
		{
			Window.Close();
		}
		function setDontShowWindowFlag(flag)
		{
			interop.showScreen = !flag;
		}
		function getDontShowWindowFlag()
		{
			return !interop.showScreen;
		}
		function reportStatistics(json)
		{
			interop.IPM.reportStatistics(json);
		}
		function getTemplateSubstitutionText(text)
		{
			return interop.IPM.parametrizeString(text);
		}
		function openUrl(url)
        {
			interop.IPM.openUrl(url, "ipm-html-href");
		}
		function openHelp(topicId)
		{
			Help.Show(topicId);
		}
		function openProductStore(page)
		{
			openUrl("ipp:" + page);
		}
		function openCustomProductStore(url)
		{
			openUrl("ipp:" + url);
		}
		function openApplicationPage(page)
		{
			openUrl(page);
		}
        function getProductServices()
        {
            return {
                productType: productServices.productType,
                learnMoreLink: productServices.learnMoreLink
            }
        }
	}
}
