import QtQuick 1.1
import QtWidgetProxies 1.0
import "../fonts" as Fonts
import "../EnumHelper.js" as EnumHelper
import "../widgets" as Widgets

Widgets.SimpleMessageBox
{
    id: incompatibleOsMessageBox

    Localizer { id: tr; scope: "Common" }
    property variant context: ViewModel

    iconSource: "../images/ico_danger_48.png"
    caption: tr.Localize("ProductName_"+context.productType);
    description: tr.Localize(context.isWin8 ? "IncompatibleOsVersionTitle" : "ReinstallWarningTitle", {"OsVersion" : context.osVersionText, "ProductName" : tr.Localize("ProductName_"+context.productType)} )
    additionalDescription: tr.Localize(context.isWin8 ? "IncompatibleOsVersionDescription" : "ReinstallWarningDescription", {"OsVersion" : context.osVersionText, "ProductName" : tr.Localize("ProductName_"+context.productType)});
    cancelButtonText: tr.Localize("CloseButton")
    okButtonText: tr.Localize(context.isWin8 ? "IncompatibleOsVersionOkButton" : "ReinstallWarningOkButton")
    okVisible: true
    learnMoreVisible: false
	onOkClicked:
	{
        context.dialogResult = "Ok";
		Window.Close();
	}
    onCancelClicked:
    {
        context.dialogResult = "Cancel";
        Window.Close();
    }
}
