import QtQuick 1.1
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Widgets.Button
{
    property variant fontStylesMainWindow: Fonts.MainWindow {}
    objectName: "topBarButton"

    focusRectEnabled: false
    Widgets.FocusImage
    {
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -3
        anchors.horizontalCenter: parent.horizontalCenter
        tileHorizontally: true
        tileVertically: true
        border {
            top: 13
            bottom: 10
            left: 13
            right: 15
        }
        source: "../common/images/focuses/focus_footer_secondary.png"
    }
    horizontalMargin: 5
    verticalMargin: 5
    spacing: 3
    textBottom: true
    hoverEffectImage: "../images/main_window/topbar/button-hover.png"
	minWidth: 55; //button-hover.png width
    textcolor: "#459088"
    textcolorHovered: "#43b09f"
    textcolorPressed: "#0c7d6f"
    textfont: fontStylesMainWindow.topBarButtonFont
}
